curl --location --request GET 'https://api-prd.moonscale.com/api/v1/conversations/{conversationId}' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
{
"transcript": [
{
"role": "assistant",
"type": "type",
"text": "text",
"timestamp": "date-time-timestamp"
}
],
"summary": "summary"
}
Real-Time Avatars
Get meeting transcript
Retrieves transcript and summary from a conversation that occurred in a live meeting room.
GET
/
api
/
v1
/
conversations
/
{conversationId}
curl --location --request GET 'https://api-prd.moonscale.com/api/v1/conversations/{conversationId}' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
{
"transcript": [
{
"role": "assistant",
"type": "type",
"text": "text",
"timestamp": "date-time-timestamp"
}
],
"summary": "summary"
}
Headers
string
required
Your Moonscale API key used for authentication.
string
The content type of the request body. Always
application/json.Parameters
string
required
The id (UUID) of the conversation that the transcipt and summary should be retrieved for.
curl --location --request GET 'https://api-prd.moonscale.com/api/v1/conversations/{conversationId}' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
{
"transcript": [
{
"role": "assistant",
"type": "type",
"text": "text",
"timestamp": "date-time-timestamp"
}
],
"summary": "summary"
}
Responses
200:
Transcript[]
An array of conversation objects. Each object contains properties for role, text, type and timestamp.
string
An AI generated summary generated from the conversation transcription.
